Debian Bug report logs - #575324
exactimage: file format misdetection

version graph

Package: exactimage; Maintainer for exactimage is Sven Eckelmann <sven@narfation.org>; Source for exactimage is src:exactimage.

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Wed, 24 Mar 2010 21:48:01 UTC

Severity: important

Tags: patch

Found in version exactimage/0.7.5-3

Fixed in version exactimage/0.8.5-5

Done: Sven Eckelmann <sven@narfation.org>

Bug is archived. No further changes may be made.

Forwarded to exact-image@exactcode.de

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org:
Bug#575324; Package exactimage. (Wed, 24 Mar 2010 21:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
New Bug report received and forwarded. Copy sent to jwilk@debian.org. (Wed, 24 Mar 2010 21:48:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: exactimage: file format misdetection
Date: Wed, 24 Mar 2010 22:40:32 +0100
[Message part 1 (text/plain, inline)]
Package: exactimage
Version: 0.7.5-3
Severity: minor

y.pbm is a perfectly valid PBM file:

$ edentify y.pbm 
TGA: 80, 10, 1, 52, 255, 65343, ÿ
y.pbm: TARGA 255x65343 0 bit, 3 channels

-- 
Jakub Wilk
[y.pbm (image/x-portable-bitmap, attachment)]

Set Bug forwarded-to-address to 'exact-image@exactcode.de'. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Sun, 28 Mar 2010 15:24:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#575324; Package exactimage. (Fri, 30 Mar 2012 11:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Eckelmann <sven@narfation.org>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Fri, 30 Mar 2012 11:00:09 GMT) Full text and rfc822 format available.

Message #12 received at 575324@bugs.debian.org (full text, mbox):

From: Sven Eckelmann <sven@narfation.org>
To: Jakub Wilk <jwilk@debian.org>
Cc: 575324@bugs.debian.org, exact-image@exactcode.de
Subject: Re: exactimage: file format misdetection
Date: Fri, 30 Mar 2012 12:57:34 +0200
[Message part 1 (text/plain, inline)]
tags 575324 + patch
thanks

On Wednesday, March 24, 2010 10:40:32 PM you wrote:
> Package: exactimage
> Version: 0.7.5-3
> Severity: minor
> 
> y.pbm is a perfectly valid PBM file:
> 
> $ edentify y.pbm
> TGA: 80, 10, 1, 52, 255, 65343, ÿ
> y.pbm: TARGA 255x65343 0 bit, 3 channels

The problem seems to be that the TARGA codec is added too early to the codec 
datastructure. I worked around that problem using different strategies to 
insert the codec. 

Kind regards,
	Sven
[missing_include_vector.patch (text/x-patch, attachment)]
[edentify_tga_mismatch.patch (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Sven Eckelmann <sven@narfation.org> to control@bugs.debian.org. (Fri, 30 Mar 2012 11:00:53 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#575324; Package exactimage. (Wed, 04 Apr 2012 08:42:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to René Rebe <rene@exactcode.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Wed, 04 Apr 2012 08:42:11 GMT) Full text and rfc822 format available.

Message #19 received at 575324@bugs.debian.org (full text, mbox):

From: René Rebe <rene@exactcode.com>
To: Sven Eckelmann <sven@narfation.org>
Cc: Jakub Wilk <jwilk@debian.org>, 575324@bugs.debian.org, ExactImage developers mailing list <exact-image@exactcode.de>
Subject: Re: [exact-image] Re: exactimage: file format misdetection
Date: Wed, 4 Apr 2012 10:17:52 +0200
Hi,

thanks, applied, too.

	René

On 30.03.2012, at 12:57, Sven Eckelmann wrote:

> tags 575324 + patch
> thanks
> 
> On Wednesday, March 24, 2010 10:40:32 PM you wrote:
>> Package: exactimage
>> Version: 0.7.5-3
>> Severity: minor
>> 
>> y.pbm is a perfectly valid PBM file:
>> 
>> $ edentify y.pbm
>> TGA: 80, 10, 1, 52, 255, 65343, ÿ
>> y.pbm: TARGA 255x65343 0 bit, 3 channels
> 
> The problem seems to be that the TARGA codec is added too early to the codec 
> datastructure. I worked around that problem using different strategies to 
> insert the codec. 
> 
> Kind regards,
> 	Sven<missing_include_vector.patch><edentify_tga_mismatch.patch>----------------------------------------------------------- 
> If you wish to unsubscribe from this mailing, send mail to
> lists@exactcode.de with a subject of: unsubscribe exact-image

-- 
  René Rebe, ExactCODE GmbH, Jaegerstr. 67, DE-10117 Berlin
  DE Legal: Amtsgericht Berlin (Charlottenburg) HRB 105123B, Tax-ID#: DE251602478
  Managing Director: René Rebe
  http://exactcode.com | http://t2-project.org | http://rene.rebe.de





Reply sent to Boris Pek <Tehnick-8@yandex.ru>:
You have taken responsibility. (Wed, 27 Jun 2012 20:09:03 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Wed, 27 Jun 2012 20:09:03 GMT) Full text and rfc822 format available.

Message #24 received at 575324-close@bugs.debian.org (full text, mbox):

From: Boris Pek <Tehnick-8@yandex.ru>
To: 575324-close@bugs.debian.org
Subject: Re: exactimage: file format misdetection
Date: Wed, 27 Jun 2012 23:06:26 +0300
Current version of program in Wheeze has no this bug. Thanks.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#575324; Package exactimage. (Wed, 27 Jun 2012 21:57:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Schrober <franzschrober@yahoo.de>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Wed, 27 Jun 2012 21:57:11 GMT) Full text and rfc822 format available.

Message #29 received at 575324@bugs.debian.org (full text, mbox):

From: Schrober <franzschrober@yahoo.de>
To: Boris Pek <Tehnick-8@yandex.ru>
Cc: 575324@bugs.debian.org
Subject: Re: Re: exactimage: file format misdetection
Date: Wed, 27 Jun 2012 23:52:24 +0200
reopen 575324
thanks

On Wednesday 27 June 2012 23:06:26 you wrote:
> Current version of program in Wheeze has no this bug. Thanks.

No, it just accidently worked on the architecture that you are using due pure
luck in the constructor calling order generated by the current
compiler/linker. The bugfix was merged after 0.8.7 (which is also not in
debian) and is currently waiting in the git repo [1] to be uploaded to debian.

[1] http://anonscm.debian.org/gitweb/?p=collab-maint/exactimage.git;a=commit;h=6ff0793c63fd7aaf1d08343e050ff89c76004c54




Bug reopened Request was from Schrober <franzschrober@yahoo.de> to control@bugs.debian.org. (Thu, 28 Jun 2012 10:24:42 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'minor' Request was from Sven Eckelmann <sven@narfation.org> to control@bugs.debian.org. (Sun, 01 Jul 2012 15:09:04 GMT) Full text and rfc822 format available.

Reply sent to Sven Eckelmann <sven@narfation.org>:
You have taken responsibility. (Sun, 22 Jul 2012 17:36:05 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Sun, 22 Jul 2012 17:36:05 GMT) Full text and rfc822 format available.

Message #38 received at 575324-close@bugs.debian.org (full text, mbox):

From: Sven Eckelmann <sven@narfation.org>
To: 575324-close@bugs.debian.org
Subject: Bug#575324: fixed in exactimage 0.8.5-5
Date: Sun, 22 Jul 2012 17:32:12 +0000
Source: exactimage
Source-Version: 0.8.5-5

We believe that the bug you reported is fixed in the latest version of
exactimage, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 575324@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sven Eckelmann <sven@narfation.org> (supplier of updated exactimage package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 01 Jul 2012 15:55:10 +0200
Source: exactimage
Binary: exactimage edisplay exactimage-dbg libexactimage-perl php5-exactimage python-exactimage
Architecture: source amd64
Version: 0.8.5-5
Distribution: unstable
Urgency: low
Maintainer: Daniel Stender <daniel@danielstender.com>
Changed-By: Sven Eckelmann <sven@narfation.org>
Description: 
 edisplay   - fast image manipulation programs (image viewer)
 exactimage - fast image manipulation programs
 exactimage-dbg - fast image manipulation library (debug symbols)
 libexactimage-perl - fast image manipulation library (Perl bindings)
 php5-exactimage - fast image manipulation library (PHP bindings)
 python-exactimage - fast image manipulation library (Python bindings)
Closes: 575324 587062 662317 679772 679775
Changes: 
 exactimage (0.8.5-5) unstable; urgency=low
 .
   * debian/control:
     - Add Daniel Stender and Sven Eckelmann as new maintainer (Closes: #587062)
     - Depend on libpng-dev instead of libpng12-dev (Closes: #662317)
     - Depend on libjpeg8-dev to avoid hiccups with other libjpeg versions
   * debian/patches:
     - Add edentify_tga_mismatch.patch, Fix misidentification of PNM as TGA
       (Closes: #575324)
     - missing_include_vector.patch, Add missing includes for std::vector
     - Add libjpeg8_compat.patch, Build jpeg functionality for libjpeg8 to avoid
       crashes and other hiccups (Closes: #679775)
     - Add optimize2bw_denoise.patch, Fix optimize2bw denoise crash on 64-bit
       systems (Closes: #679772)
Checksums-Sha1: 
 873e2de4dee8a025cc3928655521668bf55cdbdb 1782 exactimage_0.8.5-5.dsc
 fed7866af41d3715142c4aeb83fbade0cd236cbd 28263 exactimage_0.8.5-5.debian.tar.gz
 54a852fce116f792ade4021a5052a54ea45024cb 4283578 exactimage_0.8.5-5_amd64.deb
 47b31edf24e464923f9069b8ac408d7f0cc2a3e0 616194 edisplay_0.8.5-5_amd64.deb
 aeeebc3c77139cc6dfb78994fef6449856caee47 24287724 exactimage-dbg_0.8.5-5_amd64.deb
 ae359af03266cd5605ce2a1c0742c22991d1ab8d 726730 libexactimage-perl_0.8.5-5_amd64.deb
 9df84baad52e41bd2854135ae1776d3e09442ba5 710024 php5-exactimage_0.8.5-5_amd64.deb
 9652ec3c1ead5dc8bac62b53473bbd6783946f4b 1408300 python-exactimage_0.8.5-5_amd64.deb
Checksums-Sha256: 
 dd1e2be99aa335445e57ffd9e99fcc433daea3713a19539e3ecdd921160b3f6c 1782 exactimage_0.8.5-5.dsc
 4e23a2ac20a417dcc0f8f374d3c036066fdbb595ae3589706ca9960669175a87 28263 exactimage_0.8.5-5.debian.tar.gz
 9dea6b218b421dceb312dd019535bd5e03d3b1939873e00c25bddebbd48dda3d 4283578 exactimage_0.8.5-5_amd64.deb
 204daab246b19152888f22efa2f4dfd1f89f2e04f72dfa5b03e74de9ef33b1bf 616194 edisplay_0.8.5-5_amd64.deb
 2c933cbbb463c24ea345b6e08da5e50182ae620ffd445c029359da0a7a42e5b0 24287724 exactimage-dbg_0.8.5-5_amd64.deb
 79d1ba147946561088f7ffe4faaf160433849d656d78df8fe1ae1afc0b22c463 726730 libexactimage-perl_0.8.5-5_amd64.deb
 3273debd2b94297df67a02f1754a2aec95bd0662c9aa6d9231bed6c83c6137c2 710024 php5-exactimage_0.8.5-5_amd64.deb
 da2369e6e75fd19bbc01c1faf85d139d62f9b574b00bdac20de506eced05859b 1408300 python-exactimage_0.8.5-5_amd64.deb
Files: 
 296da2fe479ed7a8e5f917855df33a62 1782 graphics optional exactimage_0.8.5-5.dsc
 d18123916c5a85c2cade4975709e1978 28263 graphics optional exactimage_0.8.5-5.debian.tar.gz
 76d52af77b36c8038f3bd0fa1f248e51 4283578 graphics optional exactimage_0.8.5-5_amd64.deb
 939602deca89ad43c99132708f906b4a 616194 graphics optional edisplay_0.8.5-5_amd64.deb
 a3dc8fc2f32aed47613be37558f1e19c 24287724 debug extra exactimage-dbg_0.8.5-5_amd64.deb
 be1fa39629701370aebf84200b70efb2 726730 perl optional libexactimage-perl_0.8.5-5_amd64.deb
 e62e7d8939a1a2042c1e3f7a770a1dd3 710024 php optional php5-exactimage_0.8.5-5_amd64.deb
 070a53d8fea21d55e96d2c8bc7ffc1ae 1408300 python optional python-exactimage_0.8.5-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlAMNeUACgkQHsI32VNFhOjHDACfSVE2+ZtGtFseIgRGJ+nNNHIP
hyIAn1sd14bGHx5f9gfXub8n9GgcG0iW
=voHq
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Sep 2012 07:26:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:03:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.